Interpréter php3 sous php5

© Christian PAULUS. Document créé le 16 juin 2010 , mis à jour le 16 juin 2010.

C'est le devoir de chaque homme de rendre au monde au moins autant qu'il en a reçu. Albert Einstein

Accueil du site > Astuces > Interpréter php3 sous php5

Script / PHP 5.3.2

Dans la suite du billet « register_globals, simuler son activation », il est parfois indispensable de pouvoir interpréter des scripts PHP dans sa version 3 (en général, extension .php3) par PHP 5.

Exemple : migrer un site sous SPIP 1.7.2 en 2.1.0 (avec passage obligé en 1.9.2.c, histoire de ne pas perdre les tables).

Le plus simple est encore d’insérer en début du fichier .htaccess qui se trouve à la racine de votre site la ligne :

AddType application/x-httpd-php .php3

Plussoyez !

Les forums sont fermés.